Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006236 [JEDI VCL] 00 JVCL Components minor always 2013-12-04 13:25 2015-09-14 13:20
Reporter Torbins View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0006236: TJvMemoryData tries to write to readonly fields
Description TJvMemoryData tries to write to readonly fields when applying changes. It's TJvMemoryData.ApplyChanges.WriteFields function should be changed from

//...
if (FOriginal <> nil) and (FClient <> nil) then
//...

to

//...
if (FOriginal <> nil) and (FClient <> nil) and not FClient.ReadOnly then
//...
Additional Information
Tags No tags attached.
Attached Files 7z file icon Jira 6236.7z [^] (63,177 bytes) 2013-12-16 12:29
7z file icon Jira 6236-2.7z [^] (63,251 bytes) 2013-12-16 12:58

- Relationships

-  Notes
(0020754)
obones (administrator)
2013-12-13 11:11

Please try with the latest JVCL version in GIT (or daily zip) and then send us a zipped file containing the sources of an application showing the issue.
(0020856)
Torbins (reporter)
2013-12-16 12:29

I have added a demo.
(0020857)
Torbins (reporter)
2013-12-16 12:59

Sorry, first demo wasn't correct.
(0020884)
obones (administrator)
2013-12-18 15:44

This is now fixed in GIT

- Issue History
Date Modified Username Field Change
2013-12-04 13:25 Torbins New Issue
2013-12-13 11:11 obones Note Added: 0020754
2013-12-13 11:11 obones Status new => feedback
2013-12-16 12:29 Torbins File Added: Jira 6236.7z
2013-12-16 12:29 Torbins Note Added: 0020856
2013-12-16 12:58 Torbins File Added: Jira 6236-2.7z
2013-12-16 12:59 Torbins Note Added: 0020857
2013-12-16 17:49 obones Status feedback => acknowledged
2013-12-18 15:44 obones Note Added: 0020884
2013-12-18 15:44 obones Status acknowledged => resolved
2013-12-18 15:44 obones Fixed in Version => Daily / GIT
2013-12-18 15:44 obones Resolution open => fixed
2013-12-18 15:44 obones Assigned To => obones
2015-09-14 13:20 obones Fixed in Version Daily / GIT => 3.48


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker